#ifndef _GUESSLIST
#define _GUESSLIST

#include "MaxLengthConstants.h"

	class PreviouslyUsedGuessList{

	private:

		char guessList[MaxGuessListLength];		// stores list of guesses
		int numOfElementsInList;	// Number of elements currently in list

		int validateLetter(char &guess);
		//		
		// post-condition: Returns a value of 1 (TRUE) if guess is a letter. Guess is
		//                 then converted to upper case if it is lower case.
		//                 Returns a value of 0 (FALSE) if guess is not a letter.
		//

	public:

		PreviouslyUsedGuessList();
		//		
		// post-condition: numOfElementsInList is initialised to 0.
		//

		int LetterBeenUsedStatus(char guess);          
		//		
		// post-condition: Returns a value of 1 (TRUE) if letter has been used.
		//                 Returns a value of 1 (TRUE) if letter is invalid.
		//                 Returns a value of 0 (FALSE) if letter has not been used
		//                 before..
		//    

		void resetGuessList();
		//		
		// post-condition: Deletes all letters in the list.
		//

		void getGuessList(char aGuessList[MaxGuessListLength]);
		//		
		// post-condition: aGuessList[MaxGuessListLength] holds a copy of the guessList.
		//
	};

#endif
