#ifndef _MAINDISPLAYINTERFACE
#define _MAINDISPLAYINTERFACE

	class MainDisplayInterface{

	private:

		int gallowsX, gallowsY;	// bottom LHS of gallows.
								// allows gallows to be moved about on screen without
								// re-writing loads of code.
		int maxX, maxY;

	public:
	
		MainDisplayInterface(); // constructor - initialises all private variables.
		~MainDisplayInterface();	// destructor - destroys custom pens & brushes.

		void updateDisplay(const HDC &memoryDC, const HPEN &hPen, int guessesLeft,
						   const int &numGamesWon, const int &numGamesPlayed,
						   char aSecretWord[], char aCategory[],char aGuessList[]);

		void updateGallowsDisplay(const HDC &memoryDC, const HPEN &hPen, int guessesLeft);	// add NoOfGuessesLeft to parameter list
		//
		// post-condition: Redraws display.
		//
			
		void updateScoreDisplay(const HDC &memoryDC, const int &numGamesWon, const int &numGamesPlayed);

		void updateSecretWordDisplay(const HDC &memoryDC, char aSecretWord[]);

		void updateCategoryDisplay(const HDC &memoryDC, char aCategory[]);

		void updateGuessListDisplay(const HDC &memoryDC, char aGuessList[]);

	};

#endif
