#ifndef _RANDOMNUMGENERATOR
#define _RANDOMNUMGENERATOR

	class RandomNumGenerator
	{
	public:

		RandomNumGenerator(long seed = 0); 

		int generateNum(int lowerLimit, int upperLimit);
		//
		// pre-condition: parameters are valid integers.
		//
		// post-condition: random integer generated between
		//				   lowerLimit & upperLimit as return
		//                 value.

	private:

		unsigned long theSeed;

		void Randomize();
		//
		// Implements the Linear Congruential Algorithm introduced
		// by D.H.Lehmer in 1949... Which is nice!
		//

		int Next();
		// 
		// Updates the seed by calling the Randomize function several
		// times.
		//

	};


#endif