#ifndef _RANDOMWORDGENERATOR
#define _RANDOMWORDGENERATOR

#include "Word.h"
#include "WordList.h"
#include "RndNoGen.h"
#include "UsedWords.h"

	class RandomWordGenerator
	{
	private:

		RandomNumGenerator theRandNumGenerator;	// Object that generates random numbers.

		PreviouslyUsedWordList theUsedWordList;	// List containing words that have been used so far.
												// Prevents words being repeated in a game.

	public:

		Word chooseSecretWord(WordList & aWordList);
		//
		// pre-condition: aWordList has function - getWord(int listArrayElement);
		//
		// post-condition: returns the chosen word unique to this game.
		//				   Resets theUsedWordList.
		//

		void resetGenerator();
		//
		// post-condition: resets used word list.
	};


#endif