#ifndef _WORDLIST
#define _WORDLIST

#include "Word.h"
#include "MaxLengthConstants.h"



	class WordList{

	private:

		int numOfElementsInList;			// Number of elements currently in list

		Word theWords[MaxListLength];	// stores list of words.

	public:

		WordList();
		//		
		// post-condition: numOfElementsInList is initialised to 0.
		//

		
		void addWord(const Word &theWord);
		//		
		// post-condition: theWord added to theWords array.
		//				   numOfElementsInList is incremented.
		//

		void resetList() {numOfElementsInList = 0;}
		//		
		// post-condition: Resets number of elemenets in list to equal 0.
		//

		Word getWord(int listArrayElement);
		//
		// pre-condition: listArrayElement must be between 1 & (numOfElementsInList-1)
		//				   numOfElementsInList is equal to the next available space in the list
		//				   so the last list element is (numOfElementsInList-1).
		//		
		// post-condition: Returns a word in the list at array element[listArrayElement].
		//

		int getNumOfElementsInList() {return (numOfElementsInList-1);}
		//		
		// post-condition: Returns the number of words currently in the list.
		//				   numOfElementsInList is equal to the next available space in the list
		//				   so the last list element is (numOfElementsInList-1).
		//

	};


#endif